<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__general__types" kind="group">
    <compoundname>group_hal_general_types</compoundname>
    <title>General Types</title>
    <innergroup refid="group__group__hal__results">Result Codes</innergroup>
    <innergroup refid="group__group__hal__syspm">System Power Management</innergroup>
    <innergroup refid="group__group__hal__clock">Clock</innergroup>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__general__types_1gab2d2acfb82599df54152be0b170c6ec2" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_async_mode_t</name>
        <enumvalue id="group__group__hal__general__types_1ggab2d2acfb82599df54152be0b170c6ec2a580896db2028c77f9f89cb8772a1eb90" prot="public">
          <name>CYHAL_ASYNC_DMA</name>
          <briefdescription>
<para>Use DMA if available. </para>          </briefdescription>
          <detaileddescription>
<para>Otherwise fall back to software transfer. (Default) </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__general__types_1ggab2d2acfb82599df54152be0b170c6ec2ad748e5570bc89fd722da9720b3d22a19" prot="public">
          <name>CYHAL_ASYNC_SW</name>
          <briefdescription>
<para>Always perform a software transfer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_async_mode_t: </bold><linebreak />group_hal_results</para></briefdescription>
        <detaileddescription>
<para>Modes that can be used for asynchronous transfers </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="126" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="121" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="121" />
      </memberdef>
      <memberdef id="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_power_level_t</name>
        <enumvalue id="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861" prot="public">
          <name>CYHAL_POWER_LEVEL_OFF</name>
          <briefdescription>
<para>Power-off the comparator, while retaining configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae06723d07ff431a2f427d95ac61e2afb" prot="public">
          <name>CYHAL_POWER_LEVEL_LOW</name>
          <briefdescription>
<para>Low comparator power and speed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae189a666d589f8acf4c64142365def61" prot="public">
          <name>CYHAL_POWER_LEVEL_MEDIUM</name>
          <briefdescription>
<para>Medium comparator power and speed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a4d8ce140c28177e31de20cf8da8e2a99" prot="public">
          <name>CYHAL_POWER_LEVEL_HIGH</name>
          <briefdescription>
<para>High comparator power and speed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a6f0f4df45e9cac012a2c8e5ba736241b" prot="public">
          <name>CYHAL_POWER_LEVEL_DEFAULT</name>
          <briefdescription>
<para>Default comparator power and speed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_power_level_t: </bold><linebreak />Selectable power levels.</para></briefdescription>
        <detaileddescription>
<para>Power levels are defined relative to others. Higher power levels offer better performance but consume more power.</para><para>Not all hardware supports four discrete power levels. If fewer power levels are supported, the values will be mapped as follows: <verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;4 Levels  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;3 Levels  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;2 Levels   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Off  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Off  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Off   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Low  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Low = Medium  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Low = Medium = High = Default   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Medium  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;High = Default  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;High = Default  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;See the implementation specific documentation for details. </verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="155" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="143" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="144" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This section documents the basic types that are used by multiple HAL drivers. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>